Lompat ke konten

Isaac 0.1

Integrasikan

ID model perceptron/isaac-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Permintaan ini: ≈$0,001 1 kredit API Jalankan di halaman ini

Dapatkan kunci API
Perceptron Visi #multimodal#vision

Model vision-language yang menjawab tentang gambar sebagai teks, kotak, titik, atau poligon

Perceptron · Teks

Hasil pertama Anda akan muncul di sini

Buat permintaan di bawah ini dan jalankan dengan kunci API Anda. Output disalin ke penyimpanan kami, disimpan selamanya atau 7 hari gratis.

Buat permintaan

Kontrol dibuat dari skema model. Kode dan harga diperbarui saat Anda mengubahnya.

•wajib

Prompt yang diterapkan pada gambar.

•wajib image_url
Jatuhkan file, atau

URL yang mengidentifikasi gambar untuk diproses.

Lanjutan response_style
response_style bawaan text

Pilih format respons gambar: semua mode menyertakan teks, dengan box menambahkan kotak pembatas, point menambahkan titik, dan polygon menambahkan poligon; text saja hanya mengembalikan teks. Gunakan polygon untuk segmentasi terperinci atau box untuk lokalisasi. Untuk deskripsi dan pemberian keterangan, gunakan text; untuk menghitung banyak objek, gunakan point.

POST /run/perceptron/isaac-01?wait=20 estimasi harga → $0,001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Jalankan permintaan ini

Key Anda tetap berada di browser ini: key hanya dikirim ke Doitong API dan disimpan (localStorage) hanya jika Anda mencentang Ingat. Dapatkan kunci API

Tentang Isaac 0.1

Menerima `image_url` dan `prompt`, lalu mengembalikan respons dalam format yang ditetapkan oleh `response_style`. Teks cocok untuk takarir dan deskripsi, sedangkan gaya box, point, dan polygon menambahkan output lokalisasi. Hasilnya mencakup output yang dibuat, flag output parsial, pesan error jika ada, dan informasi penggunaan.

Parameter

Kirim nama kanonis atau nama asli, bukan keduanya. Nama kanonis

NamaTipe BawaanDiizinkan Deskripsi
image_urlwajib image
Tipeurl · image
URL yang mengidentifikasi gambar untuk diproses.
promptwajib
Tipestring
Prompt yang diterapkan pada gambar.
response_styleopsional
Tipeenum
Bawaantext
textboxpointpolygon
Pilih format respons gambar: semua mode menyertakan teks, dengan box menambahkan kotak pembatas, point menambahkan titik, dan polygon menambahkan poligon; text saja hanya mengembalikan teks. Gunakan polygon untuk segmentasi terperinci atau box untuk lokalisasi. Untuk deskripsi dan pemberian keterangan, gunakan text; untuk menghitung banyak objek, gunakan point.
wajib Nama kanonis, juga diterima

Parameter file menerima URL publik https://, URI data: hingga 10 MB, atau file_url dari unggahan. File

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "perceptron/isaac-01",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "To determine which car is trying to park into the garage, we need to carefully observe the positions and movements of the vehicles in the image.\n\n1. **Identify the Vehicles**: \n   - There are three vehicles visible: a green truck, an orange car, and a brown car.\n   - The green truck is positioned in front of the garage entrance.\n   - The orange car is parked to the left of the green truck.\n   - The brown car is parked to the right of the green truck.\n\n2. **Analyze the Positions**:\n   - The green truck is directly in front of the garage entrance, suggesting it is in the process of moving towards the entrance.\n   - The orange car is parked parallel to the garage but is not in the path of the green truck.\n   - The brown car is also parked parallel to the garage but is not in the path of the green truck.\n\n3. **Determine the Action**:\n   - Given the position of the green truck directly in front of the garage entrance, it is most likely that the green truck is trying to park into the garage.\n   - The orange and brown cars are already parked and do not appear to be in motion or attempting to park.\n\nTherefore, the car that is trying to park into the garage is the green truck.",
    "partial": false,
    "error": "string",
    "usage": {
      "completion_tokens": 1,
      "prompt_tokens": 1,
      "total_tokens": 1
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
File Anda, pilihan AndaSetiap outputs[].url adalah salinan di penyimpanan kami: disimpan selamanya (dikenai biaya per GB-bulan) atau 7 hari gratis, sesuai setelan akun atau ?storage=.
Struktur sama di setiap modeltype, url, content_type, width, height, dan duration, untuk gambar, video, dan audio. output adalah objek hasil milik model.
Field output
output
stringHasil yang dihasilkan model.
partial
booleanMenunjukkan apakah output tidak lengkap.
error
string | nullPesan yang menjelaskan error, jika terjadi.
usage
object {completion_tokens, prompt_tokens, total_tokens} | nullDetail penggunaan.

Untuk agen AI: halaman ini dalam Markdown tersedia di https://doitong.com/id/developers/models/perceptron/isaac-01.md. Semua model dan panduan: https://doitong.com/developers/llms.txt